<?xml version="1.0" encoding="ASCII"?>

<!-- oks-data version 2.0 -->


<!DOCTYPE oks-data [
  <!ELEMENT oks-data (info, (include)?, (comments)?, (obj)+)>
  <!ELEMENT info EMPTY>
  <!ATTLIST info
      name CDATA #REQUIRED
      type CDATA #REQUIRED
      num-of-items CDATA #REQUIRED
      oks-format CDATA #FIXED "extended"
      oks-version CDATA #REQUIRED
      created-by CDATA #REQUIRED
      created-on CDATA #REQUIRED
      creation-time CDATA #REQUIRED
      last-modified-by CDATA #REQUIRED
      last-modified-on CDATA #REQUIRED
      last-modification-time CDATA #REQUIRED
  >
  <!ELEMENT include (file)+>
  <!ELEMENT file EMPTY>
  <!ATTLIST file
      path CDATA #REQUIRED
  >
  <!ELEMENT comments (comment)+>
  <!ELEMENT comment EMPTY>
  <!ATTLIST comment
      creation-time CDATA #REQUIRED
      created-by CDATA #REQUIRED
      created-on CDATA #REQUIRED
      author CDATA #REQUIRED
      text CDATA #REQUIRED
  >
  <!ELEMENT obj (attr | rel)*>
  <!ATTLIST obj
      class CDATA #REQUIRED
      id CDATA #REQUIRED
  >
  <!ELEMENT attr (#PCDATA)*>
  <!ATTLIST attr
      name CDATA #REQUIRED
      type (bool|s8|u8|s16|u16|s32|u32|s64|u64|float|double|date|time|string|uid|enum|class|-) "-"
      num CDATA "-1"
  >
  <!ELEMENT rel (#PCDATA)*>
  <!ATTLIST rel
      name CDATA #REQUIRED
      num CDATA "-1"
  >
]>

<oks-data>

<info name="" type="" num-of-items="7" oks-format="extended" oks-version="oks-06-10-01 built &quot;Mar 16 2016&quot;" created-by="anegri" created-on="pc-tbed-pub-06.cern.ch" creation-time="20140708T145030" last-modified-by="rwang" last-modified-on="pc-tbed-pub-12.cern.ch" last-modification-time="20160319T232039"/>

<include>
 <file path="daq/sw/repository.data.xml"/>
 <file path="daq/segments/setup.data.xml"/>
 <file path="daq/sw/common-templates.data.xml"/>
 <file path="daq/schema/monsvc_config.schema.xml"/>
 <file path="ftk/segments/FTK-segment.data.xml"/>
</include>

<comments>
 <comment creation-time="20140708T145030" created-by="anegri" created-on="pc-tbed-pub-06.cern.ch" author="anegri" text="C++ oksconfig plug-in user: &apos;anegri&apos;, host: &apos;pc-tbed-pub-06.cern.ch&apos;, log message: &apos;python plug-in&apos;&#xA;-----&#xA;C++ oksconfig plug-in user: &apos;anegri&apos;, host: &apos;pc-tbed-pub-06.cern.ch&apos;, log message: &apos;python plug-in&apos;&#xA;-----&#xA;C++ oksconfig plug-in user: &apos;anegri&apos;, host: &apos;pc-tbed-pub-06.cern.ch&apos;, log message: &apos;python plug-in&apos;"/>
</comments>


<obj class="DFParameters" id="Default-DFParameters-1">
 <attr name="Name" type="string">"Default-DFParameters-1"</attr>
 <attr name="BasePortEFD_SFI" type="u16">10000</attr>
 <attr name="BasePortEFD_SFO" type="u16">11000</attr>
 <attr name="MulticastAddress" type="string">""</attr>
 <attr name="DefaultDataNetworks" type="string" num="2">
  "188.184.2.64/255.255.255.192"
  "137.138.0.0/255.255.0.0"
 </attr>
 <rel name="UsesDataFiles" num="0"></rel>
</obj>

<obj class="IS_EventsAndRates" id="part_hlt_anegri-hlt-counter">
 <attr name="EventCounter" type="string">"DF.ROS.FTK-ROS.DataChannel0.fragsreceived"</attr>
 <attr name="Rate" type="string">"DF.HLTSV.Events.Rate"</attr>
 <attr name="Description" type="string">"ROL0 Fragment Counter"</attr>
</obj>

<obj class="IS_EventsAndRates" id="part_hlt_anegri-lvl1-counter">
 <attr name="EventCounter" type="string">"DF.ROS.FTK-ROS.DataChannel1.fragsreceived"</attr>
 <attr name="Rate" type="string">""</attr>
 <attr name="Description" type="string">"ROL1 Fragment Counter"</attr>
</obj>

<obj class="IS_EventsAndRates" id="part_hlt_anegri-recording-counter">
 <attr name="EventCounter" type="string">"DF.SFO-1.EventsSaved"</attr>
 <attr name="Rate" type="string">"DF.SFO-1.CurrentEventSavedRate"</attr>
 <attr name="Description" type="string">"Recording Counter"</attr>
</obj>

<obj class="IS_InformationSources" id="part_hlt_anegri-counters">
 <rel name="LVL1">"IS_EventsAndRates" "part_hlt_anegri-lvl1-counter"</rel>
 <rel name="HLT">"IS_EventsAndRates" "part_hlt_anegri-hlt-counter"</rel>
 <rel name="Recording">"IS_EventsAndRates" "part_hlt_anegri-recording-counter"</rel>
 <rel name="Others" num="0"></rel>
</obj>

<obj class="Partition" id="ROS-only">
 <attr name="RepositoryRoot" type="string">"/afs/cern.ch/user/j/jwebster/public/ftk/installed"</attr>
 <attr name="IPCRef" type="string">"$(TDAQ_IPC_INIT_REF)"</attr>
 <attr name="DBPath" type="string">"$(TDAQ_DB_PATH)"</attr>
 <attr name="DBName" type="string">"$(TDAQ_DB_DATA)"</attr>
 <attr name="DBTechnology" type="enum">"rdbconfig"</attr>
 <attr name="LogRoot" type="string">"/tmp/jwebster/logs"</attr>
 <attr name="WorkingDirectory" type="string">"/tbed/user/rwang/runControl/${TDAQ_PARTITION}/workdir"</attr>
 <attr name="RunTypes" type="string" num="0"></attr>
 <rel name="Segments" num="1">
  "Segment" "FTK-segment"
 </rel>
 <rel name="OnlineInfrastructure">"OnlineSegment" "setup"</rel>
 <rel name="Disabled" num="11">
  "ReadoutModule_Aux" "Aux-15-df"
  "ReadoutModule_Aux" "Aux-15-empty"
  "ReadoutModule_Aux" "Aux-15-full"
  "ReadoutModule_Aux" "Aux-15-partial"
  "ReadoutModule_Aux" "Aux-19-df"
  "ReadoutModule_Aux" "Aux-19-full"
  "ReadoutModule_Aux" "Aux-19-partial"
  "RCD" "FTK-RCD-AtcaCrate-1"
  "RCD" "FTK-RCD-VmeCrate-1"
  "RobinDataChannel" "ROL-FTKRobin-1"
  "ReadoutModule_Ssb" "Ssb1"
 </rel>
 <rel name="DefaultHost">"" ""</rel>
 <rel name="DefaultTags" num="1">
  "Tag" "x86_64-slc6-gcc49-opt"
 </rel>
 <rel name="ProcessEnvironment" num="2">
  "VariableSet" "CommonEnvironment"
  "Variable" "TDAQ_VERSION"
 </rel>
 <rel name="Parameters" num="1">
  "VariableSet" "CommonParameters"
 </rel>
 <rel name="DataFlowParameters">"DFParameters" "Default-DFParameters-1"</rel>
 <rel name="IS_InformationSource">"IS_InformationSources" "part_hlt_anegri-counters"</rel>
 <rel name="RunTagList">"" ""</rel>
 <rel name="MasterTrigger">"" ""</rel>
 <rel name="TestRepositories" num="0"></rel>
 <rel name="TriggerConfiguration">"" ""</rel>
 <rel name="ResourcesInfoConfiguration">"" ""</rel>
 <rel name="T0_ProjectTag">"" ""</rel>
 <rel name="OnlineInfrastructureApplications" num="0"></rel>
</obj>

<obj class="TriggerConfiguration" id="PuDummyTriggerConfig-1">
 <attr name="LatencyValue" type="s32">0</attr>
 <rel name="l1">"" ""</rel>
 <rel name="hlt">"" ""</rel>
 <rel name="TriggerDBConnection">"" ""</rel>
 <rel name="DBConnections" num="0"></rel>
</obj>

</oks-data>
